Subject: Re: why am I administrator?
From: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
To: "[email-masked]" <[email-masked]>, Dan Lipofsky <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Wed, 10 Jan 2001 16:14:07 -0500

At 04:07 PM 1/10/2001, Earnie Boyd wrote:
>Dan Lipofsky wrote:
> > 
> > I installed the latest cygwin on my Win2000Pro machine.
> > I was administrator when I installed it, but I am now
> > trying to use it while logged on as dlipofsky.  However,
> > cygwin still thinks I am administrator.  How can I fix this?
> > 
> > USER=administrator but USERNAME=dlipofsky.
> > USERNAME is set by the OS.  Here is a dump of some enviroment
> > variables, from bash and from the DOS prompt respectively.
> > 
>
>USER is set in the /etc/profile function by issuing the `id -un`
>command.  The id command gets it's name from the associated uid in the
>/etc/passwd file.
>
>I can also guess that you are in the local administrator group and
>logged on as a domain user.  Upon setup a /etc/passwd file is created
>from the local sid.  You need to add your domain sid for your user
>account.
>
>Cheers,
>Earnie.

This seems to come up allot.  Maybe we need an FAQ for this?

Larry Hall                              [email-masked]
RFK Partners, Inc.                      http://www.rfk.com
118 Washington Street                   (508) 893-9779 - RFK Office
Holliston, MA 01746                     (508) 893-9889 - FAX

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple